﻿<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="12.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{4FC3D43E-B68F-4E20-BD93-456275BAFA4A}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>ARGNS.View</RootNamespace>
    <AssemblyName>View</AssemblyName>
    <TargetFrameworkVersion>v4.5</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <SccProjectName>SAK</SccProjectName>
    <SccLocalPath>SAK</SccLocalPath>
    <SccAuxPath>SAK</SccAuxPath>
    <SccProvider>SAK</SccProvider>
    <SolutionDir Condition="$(SolutionDir) == '' Or $(SolutionDir) == '*Undefined*'">..\</SolutionDir>
    <RestorePackages>true</RestorePackages>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>bin\Debug\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
    <PlatformTarget>x86</PlatformTarget>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>bin\Release\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == '9.2|AnyCPU'">
    <OutputPath>bin\9.2\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == '9.3|AnyCPU'">
    <OutputPath>bin\9.3\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Base_9.2|AnyCPU'">
    <OutputPath>bin\Base_9.2\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Base_9.3|AnyCPU'">
    <OutputPath>bin\Base_9.3\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="AutoMapper, Version=4.2.1.0, Culture=neutral, PublicKeyToken=be96cd2c38ef1005, processorArchitecture=MSIL">
      <HintPath>..\packages\AutoMapper.4.2.1\lib\net45\AutoMapper.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="EntityFramework">
      <HintPath>..\packages\EntityFramework.6.1.3\lib\net45\EntityFramework.dll</HintPath>
    </Reference>
    <Reference Include="EntityFramework.SqlServer">
      <HintPath>..\packages\EntityFramework.6.1.3\lib\net45\EntityFramework.SqlServer.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=9.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <HintPath>..\packages\Newtonsoft.Json.9.0.1\lib\net45\Newtonsoft.Json.dll</HintPath>
      <Private>True</Private>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.DataAnnotations" />
    <Reference Include="System.Core" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Web" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="Microsoft.CSharp" />
    <Reference Include="System.Data" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="ActionsView.cs" />
    <Compile Include="ActivitiesSAPComboView.cs" />
    <Compile Include="ActivitiesView.cs" />
    <Compile Include="ActivityStatusView.cs" />
    <Compile Include="AdvanceSearchViews\AdvancedSearchStylesView.cs" />
    <Compile Include="DSOCatalogItemView.cs" />
    <Compile Include="DSOCatalogView.cs" />
    <Compile Include="InventoryStatusSearchView.cs" />
    <Compile Include="AdvancedSearchDocumentView.cs" />
    <Compile Include="AdvanceSearchViews\AdvanceSearchMyPurchaseDocumentView.cs" />
    <Compile Include="AlertView.cs" />
    <Compile Include="AreaKeyView.cs" />
    <Compile Include="ARGNSAvailableItemView.cs" />
    <Compile Include="ARGNSContainerLineView.cs" />
    <Compile Include="ARGNSContainerPackageLineView.cs" />
    <Compile Include="ARGNSContainerPackageView.cs" />
    <Compile Include="ARGNSContainerPortView.cs" />
    <Compile Include="ARGNSContainerSetupView.cs" />
    <Compile Include="ARGNSContainerStatusView.cs" />
    <Compile Include="ARGNSContainerView.cs" />
    <Compile Include="ARGNSCostSheetView.cs" />
    <Compile Include="ARGNSCrPathActivitiesView.cs" />
    <Compile Include="ARGNSCrPathView.cs" />
    <Compile Include="ARGNSInstructionView.cs" />
    <Compile Include="ARGNSModelFileView.cs" />
    <Compile Include="ARGNSModelHistoryView.cs" />
    <Compile Include="ARGNSModelImgView.cs" />
    <Compile Include="ARGNSModelLogoView.cs" />
    <Compile Include="ARGNSModelPomView.cs" />
    <Compile Include="ARGNSModelSampleView.cs" />
    <Compile Include="ARGNSModelView.cs" />
    <Compile Include="ARGNSPDCView.cs" />
    <Compile Include="ARGNSPrepackLinesView.cs" />
    <Compile Include="ARGNSPrepackView.cs" />
    <Compile Include="ARGNSPSlipPackageLineView.cs" />
    <Compile Include="ARGNSPSlipPackageTypeView.cs" />
    <Compile Include="ARGNSPSlipPackageView.cs" />
    <Compile Include="ARGNSRangePlanDetailView.cs" />
    <Compile Include="ARGNSRangePlanView.cs" />
    <Compile Include="ARGNSSegmentationView.cs" />
    <Compile Include="ARGNSSizeRunLineView.cs" />
    <Compile Include="ARGNSSizeRunView.cs" />
    <Compile Include="ARGNSTechPackSectionView.cs" />
    <Compile Include="AttachmentView.cs" />
    <Compile Include="AvailableToPromiseView.cs" />
    <Compile Include="BPGroupLineView.cs" />
    <Compile Include="BPGroupView.cs" />
    <Compile Include="BusinessPartnerView.cs" />
    <Compile Include="DirectAccessView.cs" />
    <Compile Include="HomeObjectView.cs" />
    <Compile Include="MyDirectAccessesObjectView.cs" />
    <Compile Include="PortalChartColumnView.cs" />
    <Compile Include="PortalChartParamsTypeView.cs" />
    <Compile Include="PortalChartParamsValueTypeView.cs" />
    <Compile Include="PortalChartParamsView.cs" />
    <Compile Include="PortalChartParamView.cs" />
    <Compile Include="PortalChartTypeView.cs" />
    <Compile Include="PortalChartUserGroupView.cs" />
    <Compile Include="PortalChartView.cs" />
    <Compile Include="ColorView.cs" />
    <Compile Include="CompanyStockView.cs" />
    <Compile Include="CompanyView.cs" />
    <Compile Include="CRPageMapView.cs" />
    <Compile Include="CustomerAgingReportLineView.cs" />
    <Compile Include="DistrMethodView.cs" />
    <Compile Include="DocumentConfirmationLineView.cs" />
    <Compile Include="DraftLineView.cs" />
    <Compile Include="DraftPortalView.cs" />
    <Compile Include="DraftView.cs" />
    <Compile Include="EquipmentCardView.cs" />
    <Compile Include="FreightView.cs" />
    <Compile Include="GenericDocumentView.cs" />
    <Compile Include="GLAccountView.cs" />
    <Compile Include="InventoryStatusView.cs" />
    <Compile Include="ItemMasterView.cs" />
    <Compile Include="ItemToPackageView.cs" />
    <Compile Include="JsonObject.cs" />
    <Compile Include="LogoView.cs" />
    <Compile Include="MaterialDetailView.cs" />
    <Compile Include="MatrixModelView.cs" />
    <Compile Include="ModelDescView.cs" />
    <Compile Include="NewView.cs" />
    <Compile Include="OpportunitiesLineView.cs" />
    <Compile Include="OpportunitiesView.cs" />
    <Compile Include="OpportunityStageView.cs" />
    <Compile Include="PageView.cs" />
    <Compile Include="POMViewSamples.cs" />
    <Compile Include="PortalTileParamView.cs" />
    <Compile Include="PortalTileParamsView.cs" />
    <Compile Include="PortalTileTypeView.cs" />
    <Compile Include="PortalTileUserGroupView.cs" />
    <Compile Include="PortalTileView.cs" />
    <Compile Include="ProjectSAPView.cs" />
    <Compile Include="ProjectView.cs" />
    <Compile Include="PurchaseInvoiceLineView.cs" />
    <Compile Include="PurchaseInvoiceView.cs" />
    <Compile Include="PurchaseOrderItemsFormView.cs" />
    <Compile Include="PurchaseOrderLineView.cs" />
    <Compile Include="PurchaseOrderView.cs" />
    <Compile Include="PurchaseQuotationLineView.cs" />
    <Compile Include="PurchaseQuotationView.cs" />
    <Compile Include="PurchaseRequestLineView.cs" />
    <Compile Include="PurchaseRequestView.cs" />
    <Compile Include="QRConfigView.cs" />
    <Compile Include="QueryCategorySAPView.cs" />
    <Compile Include="QueryManagerItemView.cs" />
    <Compile Include="QueryObjectView.cs" />
    <Compile Include="QuerySAPView.cs" />
    <Compile Include="QuickOrderParamsView.cs" />
    <Compile Include="QuickOrderView.cs" />
    <Compile Include="RecordsetRowPropertyView.cs" />
    <Compile Include="RecordsetRowView.cs" />
    <Compile Include="RecordsetView.cs" />
    <Compile Include="RoleView.cs" />
    <Compile Include="RolPageActionView.cs" />
    <Compile Include="SaleOrderLineView.cs" />
    <Compile Include="SaleOrderView.cs" />
    <Compile Include="SaleQuotationLineView.cs" />
    <Compile Include="SaleQuotationView.cs" />
    <Compile Include="SalesInvoiceLineView.cs" />
    <Compile Include="SalesInvoiceView.cs" />
    <Compile Include="SalesOrderItemsFormView.cs" />
    <Compile Include="SalesQuotationItemsFormView.cs" />
    <Compile Include="SAPLogsView.cs" />
    <Compile Include="SAPObjectView.cs" />
    <Compile Include="ScaleView.cs" />
    <Compile Include="SerialsColumnsView.cs" />
    <Compile Include="ServiceCallActivitiesView.cs" />
    <Compile Include="ServiceCallComboView.cs" />
    <Compile Include="ServiceCallView.cs" />
    <Compile Include="ShipmentMembersView.cs" />
    <Compile Include="SkuModelView.cs" />
    <Compile Include="SplitOrderResultView.cs" />
    <Compile Include="StageView.cs" />
    <Compile Include="StockModelView.cs" />
    <Compile Include="ARGNSTechPackLineView.cs" />
    <Compile Include="ARGNSTechPackView.cs" />
    <Compile Include="UDF_SAPView.cs" />
    <Compile Include="UnitOfMeasureView.cs" />
    <Compile Include="UserBranchView.cs" />
    <Compile Include="UserDirectAccessView.cs" />
    <Compile Include="UserGroupView.cs" />
    <Compile Include="UserPageActionView.cs" />
    <Compile Include="UsersSettingView.cs" />
    <Compile Include="UserUDFView.cs" />
    <Compile Include="UserView.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="VariableView.cs" />
    <Compile Include="WarehousePortalView.cs" />
    <Compile Include="WarehouseView.cs" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\Util\Util.csproj">
      <Project>{d48f1e8a-4075-4157-8633-27468d19d529}</Project>
      <Name>Util</Name>
    </ProjectReference>
    <ProjectReference Include="..\WebPortal\Model.csproj">
      <Project>{bb780eb3-774a-4568-b0e9-12ee07e0af4a}</Project>
      <Name>Model</Name>
    </ProjectReference>
  </ItemGroup>
  <ItemGroup>
    <None Include="App.config" />
    <None Include="packages.config" />
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- <Import Project="$(SolutionDir)\.nuget\NuGet.targets" Condition="Exists('$(SolutionDir)\.nuget\NuGet.targets')" />
  <Target Name="EnsureNuGetPackageBuildImports" BeforeTargets="PrepareForBuild">
    <PropertyGroup>
      <ErrorText>This project references NuGet package(s) that are missing on this computer. Enable NuGet Package Restore to download them.  For more information, see http://go.microsoft.com/fwlink/?LinkID=322105. The missing file is {0}.</ErrorText>
    </PropertyGroup>
    <Error Condition="!Exists('$(SolutionDir)\.nuget\NuGet.targets')" Text="$([System.String]::Format('$(ErrorText)', '$(SolutionDir)\.nuget\NuGet.targets'))" />
  </Target> -->
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>